--- title: "GET | List a request status by [id]" slug: "api-clm-list-request-status-by-id" updated: 2026-06-24T19:14:49Z published: 2026-06-24T19:14:49Z canonical: "docs.senhasegura.io/api-clm-list-request-status-by-id" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.senhasegura.io/llms.txt > Use this file to discover all available pages before exploring further. # GET | List a request status by [id] List the status of a request based on its ID. - **Endpoint**: `/api/certificate/request/status/{request_id}` - **Method**: `GET` - **Request**: `GET /api/certificate/request/status/{request_id}` ## Path parameters | Parameter | Type | Required | Description | | --- | --- | --- | --- | | `request_id` | `int` | Yes | ID for the specific request to retrieve the status. | ### Example using cURL ``` curl -X GET "https://[segura_vault_url]/api/certificate/request/status/1" \ -H "Authorization: Bearer YOUR_API_TOKEN" ``` ### Response ``` { "code": 200, "response": { "status": 200, "message": "1001: OK", "error": false, "error_code": 0, "detail": "", "mensagem": "1001: OK", "erro": false, "cod_erro": 0 }, "tenant": "senhasegura", "data": { "request_code": "400", "status_request": "7 - Signed", "certificate_code": "300" } } ``` ### Error responses | HTTP Status Code | Description | | --- | --- | | **400 Bad Request** | Invalid parameters provided. | | **401 Unauthorized** | Unauthorized access. | | **403 Forbidden** | Forbidden access. | | **404 Not Found** | Resource not found. | | **500 Internal Server Error** | Internal server error. |